[projects/rc-scripts] Make DELAY_LOGIN checks consistent with the one in rc.sysinit (broken in 277e5f5352e622c4317852cded6

arekm arekm at pld-linux.org
Thu Jul 9 09:18:52 CEST 2015


commit f60ef786cf271e20da75988326a8c0cf90a7c485
Author: Arkadiusz Miśkiewicz <arekm at maven.pl>
Date:   Thu Jul 9 09:18:37 2015 +0200

    Make DELAY_LOGIN checks consistent with the one in rc.sysinit (broken in 277e5f5352e622c4317852cded63e2a287506655).

 rc.d/init.d/allowlogin | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
---
diff --git a/rc.d/init.d/allowlogin b/rc.d/init.d/allowlogin
index dcd789e..d837189 100755
--- a/rc.d/init.d/allowlogin
+++ b/rc.d/init.d/allowlogin
@@ -24,14 +24,14 @@ esac
 . /etc/rc.d/init.d/functions
 
 start() {
-	if is_yes "$DELAY_LOGIN" && [ -f /etc/nologin.boot ]; then
+	if ! is_no "$DELAY_LOGIN" && [ -f /etc/nologin.boot ]; then
 		run_cmd "Allowing users to login" rm -f /etc/nologin /etc/nologin.boot
 	fi
 }
 
 stop() {
 	# /etc/nologin when shutting down system
-	if is_yes "$DELAY_LOGIN" && [ ! -f /etc/nologin ]; then
+	if ! is_no "$DELAY_LOGIN" && [ ! -f /etc/nologin ]; then
 		nls "System shutdown in progress\n" > /etc/nologin
 		chmod 644 /etc/nologin
 		cp -fp /etc/nologin /etc/nologin.boot
@@ -39,7 +39,7 @@ stop() {
 }
 
 status() {
-	if is_yes "$DELAY_LOGIN"; then
+	if ! is_no "$DELAY_LOGIN"; then
 		nls "Delay login is enabled"
 	else
 		nls "Delay login is not enabled"
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/projects/rc-scripts.git/commitdiff/f60ef786cf271e20da75988326a8c0cf90a7c485



More information about the pld-cvs-commit mailing list